log_format main '$remote_addr $scheme://$host $remote_user [$time_local] "$request" $status $body_bytes_sent "$http_referer" "$http_user_agent" $request_time $upstream_addr $upstream_cache_status';

log_subrequest  on;

error_log /var/log/nginx/error.log crib;

log_format blocked '$time_local: Blocked request from $remote_addr $request';